Summary: A GNU file archiving program.
Name: tar
Version: 1.13.25
Release: 1.3.0
Copyright: GPL
Group: Applications/Archiving
Source: ftp://ftp.gnu.org/pub/gnu/tar/tar-%{version}.tar.gz
Patch0: tar-1.13.18-rh-manpage.diff
Patch1: tar-1.13.25-rh-sock.diff
Patch2: tar-1.13.19-rh-error.diff
Patch3: tar-1.13.19-rh-absolutenames.diff
Patch4: tar-1.13.25-rh-dot-dot.diff
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-root

%description
The GNU tar program saves many files together into one archive and can
restore individual files (or all of the files) from the archive.  Tar
can also be used to add supplemental files to an archive and to update
or list files in the archive. Tar includes multivolume support,
automatic archive compression/decompression, the ability to perform
remote archives and the ability to perform incremental and full
backups.

If you want to use tar for remote backups, you'll also need to install
the rmt package.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build

%ifos linux
unset LINGUAS || :
%define optflags -O2 -pipe -march=i386 -mcpu=i686 -DHAVE_STRERROR -D_GNU_SOURCE
%configure --bindir=/bin --libexecdir=/sbin
%ifarch ia64
patch -p1 < %{PATCH3}
%endif
make LIBS=-lbsd
%else
%configure
make
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ifos linux
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
    bindir=${RPM_BUILD_ROOT}/bin \
    libexecdir=${RPM_BUILD_ROOT}/sbin \
    mandir=${RPM_BUILD_ROOT}%{_mandir} \
    infodir=${RPM_BUILD_ROOT}%{_infodir} \
	install
ln -s tar ${RPM_BUILD_ROOT}/bin/gtar
%else
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
    localedir=${RPM_BUILD_ROOT}%{_prefix}/share/locale \
    mandir=${RPM_BUILD_ROOT}%{_mandir} \
    infodir=${RPM_BUILD_ROOT}%{_infodir} \
	install
%endif

( cd $RPM_BUILD_ROOT
  for dir in ./bin ./sbin .%{_prefix}/bin .%{_prefix}/libexec
  do
    [ -d $dir ] || continue
    strip $dir/* || :
  done
  gzip -9nf .%{_infodir}/tar.info*
  rm -f .%{_infodir}/dir
)

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
install -c -m644 tar.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%post
if [ -f %{_infodir}/tar.info.gz ]; then
	/sbin/install-info %{_infodir}/tar.info.gz %{_infodir}/dir
fi

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/tar.info.gz %{_infodir}/dir
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%ifos linux
/bin/tar
/bin/gtar
%doc %{_mandir}/man1/tar.1*
%else
%{_prefix}/bin/*
%{_prefix}/libexec/*
%doc %{_mandir}/man*/*
%endif

#%doc %{_infodir}/tar.info*
#%{_prefix}/share/locale/*/LC_MESSAGES/*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Wed Oct 02 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.13.25, Release 1.2.1
  - Upgrade to 1.13.25.
  - "dot dot" bug fixed.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.13.17, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.13.17, Release 1.0.4
  - You know what.  If not, look at the other specs for this date ;).

* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- change %post install-info to be conditional on existence
	of tar.info.gz file
- marked %{_infodir}/tar.info* as a %doc to be excluded 
	with --excludedocs install
